Skip to main content
GET
/
send-payment
Send a payment via Venmo or PayPal
curl --request GET \
  --url https://laso.finance/send-payment
{
  "auth": {
    "id_token": "<string>",
    "refresh_token": "<string>",
    "expires_in": "<string>"
  },
  "callable_base_url": "<string>",
  "user_id": "<string>",
  "success": true,
  "message": "<string>",
  "amount": 123,
  "recipient_id": "<string>",
  "state": "<string>"
}

Query Parameters

amount
number
required

USD amount to send to the recipient (min $5, max $1,000). The x402 payment price is this amount plus a 4.9% fee (with a $1.50 minimum).

Required range: 5 <= x <= 1000
platform
enum<string>
required

Payment platform.

Available options:
venmo,
paypal
recipient_id
string
required

Recipient identifier. For Venmo: 10-digit U.S. phone number. For PayPal: email address.

recipient_first_name
string
required

Recipient's first name (English letters A-Z and a-z only).

recipient_last_name
string
required

Recipient's last name (English letters A-Z and a-z only).

recipient_email
string<email>

Recipient's email address. Required for Venmo. Optional for PayPal, where it defaults to recipient_id (the PayPal email).

Response

Payment dispatched, or KYC required.

auth
object
callable_base_url
string
user_id
string
success
boolean
message
string
platform
enum<string>
Available options:
venmo,
paypal
amount
number
recipient_id
string
state
string

Payment lifecycle state (e.g. in-process, queued).